package miage.ter.projet_a_remplacer.controller;

import miage.ter.projet_a_remplacer.model.Client;
import miage.ter.projet_a_remplacer.model.ExampleDB;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.sql.SQLException;

@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        try {
            ExampleDB db = Utils.getDB(req);
            String login = Utils.stringParameter(req, "login");
            String pass = Utils.stringParameter(req, "pass");
            Client c = db.authenticate(login, pass);
            if (c != null) {
                req.getSession().setAttribute("client", c);
                resp.sendRedirect("ListPointsServlet");
            } else {
                resp.sendRedirect("login.jsp?msg='invalid'");
            }


        } catch (SQLException e) {
            throw new ServletException(e);
        }
    }

}
